/**
 * @description  单页管理接口
 * @license Apache License Version 2.0
 * @Copyright (c) 2022-Now 少林寺驻北固山办事处大神父王喇嘛
 * @remarks
 * SimpleAdmin 基于 Apache License Version 2.0 协议发布，可用于商业项目，但必须遵守以下补充条款:
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改SimpleAdmin源码头部的版权声明。
 * 3.分发源码时候，请注明软件出处 https://gitee.com/dotnetmoyu/SimpleAdmin
 * 4.基于本软件的作品，只能使用 SimpleAdmin 作为后台服务，除外情况不可商用且不允许二次分发或开源。
 * 5.请不得将本软件应用于危害国家安全、荣誉和利益的行为，不能以任何形式用于非法为目的的行为不要删除和修改作者声明。
 * 6.任何基于本软件而产生的一切法律纠纷和责任，均于我司无关
 * @see https://gitee.com/dotnetmoyu/SimpleAdmin
 */
import { moduleRequest } from "@/api/request";
import { ReqId, SysUserCloth, ReqClothId } from "@/api/interface";
const http = moduleRequest("/business/clothApi/");
/**
 * @Description: 单页管理
 * @Author: SYY
 * @Date: 2023-12-15 15:34:54
 */
const userManageClothApi = {
  /** 查询服装底库列表 */
  getList(params: SysUserCloth.Page) {
    return http.get("getList", params);
  },
  /** 查询服装底库详情 */
  page(params: ReqClothId) {
    return http.get("getInfo", params);
  },
  /** 删除服装底库 */
  deleteClothDataBaseD(params: ReqClothId) {
    return http.delete("deleteClothDataBaseD", params);
  },
  /** 新增服装底库 */
  addClothDataBaseA(params: SysUserCloth.Page) {
    return http.post("addClothDataBaseA", params);
  },
  /** 更新服装底库 */
  update(params: SysUserCloth.Page) {
    return http.put("updateClothU", params);
  },

  /** 服装图片上传 */
  uploadFile(params: any) {
    return http.post("uploadFile", params);
  },
  /** 新增服装 */
  add(params: any) {
    return http.post("addClothA", params);
  },
  /** 删除服装 */
  delete(params: SysUserCloth.list) {
    return http.post("deleteClothD", params);
  }
};

const userClothButtonCode = {
  /** 新增人员 */
  add: "userManageClothAdd",
  /** 删除人员 */
  edit: "userManageClothEdit",
  /** 删除人员 */
  delete: "userManageClothDelete"
};

export { userManageClothApi, userClothButtonCode };
